OfonoNetworkOperator Class Reference

This class is used to access oFono network operator API. More...

`#include <ofononetworkoperator.h>`

Inheritance diagram for OfonoNetworkOperator:

## Public Slots

void | registerOp ()

## Signals

void | registerComplete (bool success)
void | nameChanged (const QString &name)
void | statusChanged (const QString &status)
void | mccChanged (const QString &mcc)
void | mncChanged (const QString &mnc)
void | technologiesChanged (const QStringList &technologies)
void | additionalInfoChanged (const QString &additionalInfo)

## Public Member Functions

| OfonoNetworkOperator (const QString &operatorId, QObject *parent=0)
| OfonoNetworkOperator (const OfonoNetworkOperator &op)
OfonoNetworkOperator | operator= (const OfonoNetworkOperator &op)
bool | operator== (const OfonoNetworkOperator &op)
QString | path () const
| Returns the D-Bus object path of the network operator object.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.
QString | name () const
QString | status () const
QString | mcc () const
QString | mnc () const
QStringList | technologies () const
QString | additionalInfo () const

## Properties

QString | path
QString | errorName
QString | errorMessage
QString | name
QString | status
QString | mcc
QString | mnc
QStringList | technologies
QString | additionalInfo

## Detailed Description

This class is used to access oFono network operator API.

The API is documented in http://git.kernel.org/?p=network/ofono/ofono.git;a=blob_plain;f=doc/network-api.txt

## Member Function Documentation

## errorMessage()

QString OfonoNetworkOperator::errorMessage | ( |  | ) | const

Get the D-Bus error message of the last operation.

Returns the D-Bus error message of the last operation (setting a property or calling a method) if it has failed

## errorName()

QString OfonoNetworkOperator::errorName | ( |  | ) | const

Get the D-Bus error name of the last operation.

Returns the D-Bus error name of the last operation (setting a property or calling a method) if it has failed

The documentation for this class was generated from the following file:

- lib/ofononetworkoperator.h